parameters:
  drupal.drupal.class: Drupal\DrupalExtension\Manager\DriverManager
  drupal.drupal.default_session: blackbox
  drupal.drupal.api_driver: drush
  drupal.authentication_manager.class: Drupal\DrupalExtension\Manager\DrupalAuthenticationManager
  drupal.user_manager.class: Drupal\DrupalExtension\Manager\DrupalUserManager
  drupal.random.class: Drupal\Component\Utility\Random
  drupal.context.initializer.class: Drupal\DrupalExtension\Context\Initializer\DrupalAwareInitializer
  drupal.context.environment.reader.class: Drupal\DrupalExtension\Context\Environment\Reader\Reader
  drupal.listener.drivers.class: Drupal\DrupalExtension\Listener\DriverListener
  drupal.context.attribute.reader.class: Drupal\DrupalExtension\Context\Attribute\HookAttributeReader
  drupal.context.region_selector.class: Drupal\DrupalExtension\Selector\RegionSelector
  drupal.parameters: {}
  drupal.regions: {}

services:
  drupal.drupal:
    class: "%drupal.drupal.class%"
    arguments:
      - {}
  drupal.authentication_manager:
    class: "%drupal.authentication_manager.class%"
    arguments:
      - "@mink"
      - "@drupal.user_manager"
      - "@drupal.drupal"
      - "%mink.parameters%"
      - "%drupal.parameters%"
  drupal.user_manager:
    class: "%drupal.user_manager.class%"
  drupal.random:
    class: "%drupal.random.class%"
  drupal.context.initializer:
    class: "%drupal.context.initializer.class%"
    arguments:
      - "@drupal.drupal"
      - "%drupal.parameters%"
      - "@hook.dispatcher"
      - "@drupal.authentication_manager"
      - "@drupal.user_manager"
    tags:
      - { name: context.initializer }
  drupal.context.environment.reader:
    class: "%drupal.context.environment.reader.class%"
    tags:
      - { name: environment.reader }
  drupal.context.loader.attribute:
    class: "%drupal.context.attribute.reader.class%"
    tags:
      - { name: context.attribute_reader }
  drupal.listener.driver:
    class: "%drupal.listener.drivers.class%"
    arguments:
      - "@drupal.drupal"
      - "%drupal.parameters%"
    tags:
      - { name: event_dispatcher.subscriber, priority: 0 }
  drupal.region_selector:
    class: "%drupal.context.region_selector.class%"
    arguments:
      - "@mink.selector.css"
      - "%drupal.regions%"
    tags:
      - { name: mink.selector, alias: region }
